Subject: Re: [RFC PATCH v1] iproute2: add IFLA_TC support to 'ip link'

From: John Fastabend <[email-masked]>
Date: Wed, 01 Dec 2010 12:57:48 -0800

On 12/1/2010 10:38 AM, Stephen Hemminger wrote:
> On Wed, 01 Dec 2010 10:27:58 -0800
> John Fastabend <[email-masked]> wrote:
> 
>> Add support to return IFLA_TC qos settings to the 'ip link'
>> command. The following sets the number of traffic classes
>> supported in HW and builds a priority map.
>>
>> #ip link set eth3 tc num 8 map 0 1 2 3 4 5 6 7 0 0 0 0 0 0 0 0
>>
>> With the output from 'ip link' showing maps for interfaces with
>> the ability to use HW traffic classes.
>>
>> #ip link show
>> 1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN
>>     link/loopback 00:00:00:00:00:00 brd00:00:00:00:00:00
>> 2: eth0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
>>     link/ether 00:30:48:f0:fc:88 brdff:ff:ff:ff:ff:ff
>> 3: eth1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen 1000
>>     link/ether 00:30:48:f0:fc:89 brdff:ff:ff:ff:ff:ff
>> 6: eth2: <BROADCAST,MULTICAST> mtu 1500 qdisc mq state DOWN qlen 1000
>>     link/ether 00:1b:21:55:23:58 brdff:ff:ff:ff:ff:ff
>>     tc 0:8
>> 7: eth3: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen 1000
>>     link/ether 00:1b:21:55:23:59 brdff:ff:ff:ff:ff:ff
>>     tc 8:8 map: { 0 1 2 3 4 5 6 7 0 0 0 0 0 0 0 0 }
>>     txqs: (0:8) (8:16) (16:24) (24:32) (32:40) (40:48) (48:56) (56:64)
>>
>> Signed-off-by: John Fastabend <[email-masked]>
> 
> Ok. but will not be applied until after 2.6.38 (when kernel support
> is upstream).
> 
> 

Agreed. I wanted to send this out to illustrate the interface. I'll post a non-RFC patch after I get the corresponding kernel support accepted.

Thanks,
John